aboutsummaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/zope-tal/Manifest1
-rw-r--r--dev-python/zope-tal/metadata.xml24
-rw-r--r--dev-python/zope-tal/zope-tal-5.0.1.ebuild52
3 files changed, 77 insertions, 0 deletions
diff --git a/dev-python/zope-tal/Manifest b/dev-python/zope-tal/Manifest
new file mode 100644
index 0000000..caf41ba
--- /dev/null
+++ b/dev-python/zope-tal/Manifest
@@ -0,0 +1 @@
+DIST zope-tal-5.0.1.gh.tar.gz 86089 BLAKE2B 1f7610fa7356f00963256fb6164e1896507dfd2841e2fc265bca7a98a2d48b337ebf21490e20ce368fb2a47eba22eb686a670432c4160a6d6758d0ba7dc5e47d SHA512 7f5d9e3061e69c20e5f03c4dcd6f35c7ad02f75e6e1a5fb69b57b700541de684aeae37821421a07b3a5971a14f8336612fea8e9f7c3b86beca628dbdfdb5d216
diff --git a/dev-python/zope-tal/metadata.xml b/dev-python/zope-tal/metadata.xml
new file mode 100644
index 0000000..f1f122f
--- /dev/null
+++ b/dev-python/zope-tal/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ The Zope3 Template Attribute Languate (TAL) specifies the custom namespace and attributes which are used by the Zope Page Templates renderer to inject dynamic markup into a page. It also includes the Macro Expansion for TAL (METAL) macro language used in page assembly.
+
+ The dynamic values themselves are specified using a companion language, TALES (see the zope.tales package for more).
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.tal/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.tal/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopetal.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zope.tal</remote-id>
+ <remote-id type="pypi">zope.tal</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-tal/zope-tal-5.0.1.ebuild b/dev-python/zope-tal/zope-tal-5.0.1.ebuild
new file mode 100644
index 0000000..e4652b2
--- /dev/null
+++ b/dev-python/zope-tal/zope-tal-5.0.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Template Attribute Language"
+HOMEPAGE="https://github.com/zopefoundation/zope.tal"
+SRC_URI="https://github.com/zopefoundation/zope.tal/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/zope-i18nmessageid[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/untrustedpython" || die
+ distutils-r1_src_test
+}